Name:           perl-Test-Prereq
Version:        1.031
Release:        2%{?dist}
Summary:        Check if Makefile.PL has the right pre-requisites
License:        GPL or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Test-Prereq/
Source0:        http://www.cpan.org/authors/id/B/BD/BDFOY/Test-Prereq-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl(Module::Build)
BuildRequires:  perl(Module::CoreList)
BuildRequires:  perl(Module::Info)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
The prereq_ok() function examines the modules it finds in blib/lib/,
blib/script, and the test files it finds in t/ (and test.pl). It figures
out which modules they use, skips the modules that are in the Perl core,
and compares the remaining list of modules to those in the PREREQ_PM
section of Makefile.PL.

%prep
%setup -q -n Test-Prereq-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

chmod -R u+rwX,go+rX,go-w $RPM_BUILD_ROOT/*

%check
%{?_with_check:make test}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Sat Sep 16 2006 Steven Pritchard <steve@kspei.com> 1.031-2
- Fix find option order.

* Wed May 24 2006 Steven Pritchard <steve@kspei.com> 1.031-1
- Update to 1.031.

* Fri Mar 24 2006 Steven Pritchard <steve@kspei.com> 1.030-1
- Specfile autogenerated by cpanspec 1.64.
- Fix License.
- Drop explicit Requires.
- Disable tests by default (uses network).
